<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.doverfuelingsolutions.issp.view.fragment.FragmentPayScanCode.PayScanCodeViewModel" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        style="@style/match"
        android:gravity="center_horizontal"
        android:paddingTop="20dp"
        android:orientation="vertical">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="280dp"
            android:layout_height="280dp"
            android:src="@mipmap/ic_paying" />

        <androidx.appcompat.widget.AppCompatTextView
            style="@style/wrap"
            android:layout_marginTop="70dp"
            android:text="@{@string/amount_with_discount(viewModel.amount, viewModel.discount), default=@string/amount_with_discount}"
            android:textSize="42sp" />

        <androidx.appcompat.widget.AppCompatTextView
            style="@style/wrap"
            android:layout_marginTop="40dp"
            android:text="@{@string/amount_pay(viewModel.netAmount), default=@string/amount_pay}"
            android:textColor="@color/colorYellow"
            android:textSize="72sp" />

        <androidx.appcompat.widget.AppCompatTextView
            style="@style/wrap"
            android:layout_marginTop="100dp"
            android:paddingHorizontal="42dp"
            android:paddingVertical="8dp"
            android:text="@{viewModel.scanTip, default=@string/plz_scan}"
            android:textSize="54sp" />

        <androidx.appcompat.widget.LinearLayoutCompat
            style="@style/wrap"
            android:background="@drawable/border_gray"
            android:orientation="horizontal"
            android:paddingVertical="16dp"
            android:layout_marginTop="120dp"
            app:divider="@drawable/divider_gray"
            app:showDividers="middle">

            <androidx.appcompat.widget.AppCompatTextView
                style="@style/wrap"
                android:paddingHorizontal="32dp"
                android:paddingVertical="8dp"
                android:text="@{@string/nozzle_name(viewModel.nozzle), default=@string/example_nozzle_name}"
                android:textSize="28sp" />

            <androidx.appcompat.widget.AppCompatTextView
                style="@style/wrap"
                android:paddingHorizontal="32dp"
                android:paddingVertical="8dp"
                android:text="@{@string/order_info_oil(viewModel.oil), default=@string/order_info_oil}"
                android:textSize="28sp" />

            <androidx.appcompat.widget.AppCompatTextView
                style="@style/wrap"
                android:paddingHorizontal="32dp"
                android:paddingVertical="8dp"
                android:text="@{@string/order_info_volume(viewModel.volume), default=@string/order_info_volume}"
                android:textSize="28sp" />

            <androidx.appcompat.widget.AppCompatTextView
                style="@style/wrap"
                android:paddingHorizontal="32dp"
                android:paddingVertical="8dp"
                android:text="@{@string/order_info_time(viewModel.time), default=@string/order_info_time}"
                android:textSize="28sp" />
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.appcompat.widget.LinearLayoutCompat>
</layout>